Imports System
Imports System.Collections.Generic
Imports System.Security.Principal
Imports System.Text

Public Class MyIdentity
    Implements IIdentity
    Private mTicket As AuthenticationTicket

    Public Sub New(ByVal ticket As AuthenticationTicket)
        mTicket = ticket
    End Sub

    Public ReadOnly Property AuthenticationType() As String Implements IIdentity.AuthenticationType
        Get
            Return "MyAuthentication"
        End Get
    End Property

    Public ReadOnly Property IsAuthenticated() As Boolean Implements IIdentity.IsAuthenticated
        Get
            Return True
        End Get
    End Property

    Public ReadOnly Property Name() As String Implements IIdentity.Name
        Get
            Return mTicket.Name
        End Get
    End Property

    Public ReadOnly Property Ticket() As AuthenticationTicket
        Get
            Return mTicket
        End Get
    End Property
End Class